$(document).ready(function () {
    var TABLE = $('#DataTable').DataTable();
    window.setInterval(function () {
        var URL = 'Funcoes.php?Function=73';
        $.get(URL, function (resposta) {
            var i;
            var unico;
            var LINHAS = JSON.parse(resposta);
            for (i = 0; i < LINHAS.length; i++) {
                if (LINHAS_OLD.length > 0) {
                    for (j = 0; j < LINHAS_OLD.length; j++) {
                        if (LINHAS_OLD[j].ID_Atendimento == LINHAS[i].ID_Atendimento) {
                            unico = 0;
                            break;
                        } else {
                            unico = 1;
                        }
                    }
                } else {
                    unico = 1;
                }
                if (unico == 1) {
                    var Prioridade;
                    switch (LINHAS[i].Prioridade) {
                        case "1":
                            Prioridade = '<div style="text-align:center;"><i style="text-align: center; color: red;font-size: 1.30em;" class="fa fa-circle" aria-hidden="true"></i></div>';
                            break;
                        case "2":
                            Prioridade = '<div style="text-align:center;"><i style="text-align: center; color: blue;font-size: 1.30em;" class="fa fa-circle" aria-hidden="true"></i></div>';
                            break;
                        case "3":
                            Prioridade = '<div style="text-align:center;"><i style="text-align: center; color: green;font-size: 1.30em;" class="fa fa-circle" aria-hidden="true"></i></div>';
                            break;
                    }
                    TABLE.row.add([
                        Prioridade,
                        LINHAS[i].Protocolo,
                        LINHAS[i].TipoAtend,
                        LINHAS[i].TipoFechamento,
                        LINHAS[i].CPF,
                        LINHAS[i].Dt_Vencimento,
                        '<div style="text-align:center;"><a href="Funcoes.php?Function=3&OP=2&AT=' + LINHAS[i].ID_Atendimento + '"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a></div>'
                    ]).draw(false);
                }
            }
            LINHAS_OLD = LINHAS;
        });
    }, 500);
});